%define  debug_package %{nil}
Name:    srpmproc
Version: 0.6.2
Release: 1%{?dist}
Summary: Upstream package importer with auto patching

License: MIT
URL:     https://github.com/rocky-linux/srpmproc
Source0: https://github.com/rocky-linux/srpmproc/archive/refs/tags/v%{version}.tar.gz
Source1: srpmproc.1.gz

Source9: srpmproc-vendor-%{version}.tar.gz

BuildRequires: compiler(go-compiler)
#Recommends:    rockypkg-minimal

%description
srpmproc is an upstream package importer that supports importing from upstream
sources such as git.centos.org and the CentOS Stream gitlab. It also provides
the ability to upload and pull sources.

This tool is primarily used for the Rocky Linux Release Engineering team.

%prep
%setup -q -a 9

%build
pushd cmd/srpmproc
go build -v -o %{name}
popd

%install
install -Dpm 0755 cmd/srpmproc/srpmproc %{buildroot}%{_bindir}/srpmproc
install -Dpm 0644 %{SOURCE1} %{buildroot}/%{_mandir}/man1/%{name}.1.gz

%files
%license LICENSE
%attr(0755,root,root) %{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.gz

%changelog
* Mon Jun 24 2024 Louis Abel <label@resf.org> - 0.6.2-1
- Update to 0.6.2

* Mon Jun 10 2024 Louis Abel <label@resf.org> - 0.6.0-1
- Update to 0.6.0

* Fri Apr 21 2023 Louis Abel <label@rockylinux.org> - 0.5.0-1
- Update to 0.5.0

* Fri Dec 16 2022 Louis Abel <label@rockylinux.org> - 0.4.3-2
- Initial release for SIG/Core
